﻿<form novalidate name="newTask">
	<div class="form-group row">
	<div class="col-xs-6">
		<label class="col-xs-4" for="action">Action:</label>
		<div class="input-group col-xs-8">
			<input
			  id="action" name="action"
			  class="form-control"
			  ng-model="$ctrl.newItem.action" />
		</div>
	</div>
	<div class="col-xs-6">
		<label class="col-xs-4" for="responsible">Responsible:</label>
		<div class="input-group col-xs-8">
			<input
			  id="responsible" name="responsible"
			  class="form-control"
			  ng-model="$ctrl.newItem.responsible" />
		</div>
	</div>
	</div>
	<div class="form-group row">
		<div class="col-xs-6">
			<label class="col-xs-4" for="estHours">Estimated hours:</label>
			<div class="input-group col-xs-8">
				<input
				  id="estHours" name="estHours"
				  class="form-control"
				  ng-model="$ctrl.newItem.estHours" />
			</div>
		</div>
		<div class="col-xs-6">
			<label class="col-xs-4" for="deadline">Deadline:</label>
			<div class="input-group col-xs-8">
				<input
				  id="deadline" name="deadline"
				  type="date"
				  class="form-control"
				  ng-model="$ctrl.newItem.deadline" />
			</div>
		</div>
	</div>
		<button
		class="btn btn-success"
		ng-click="$ctrl.addNewItem($ctrl.newItem)"
		ng-disabled="!$ctrl.newItem.action">
		Add
		</button>
		<button
		class="btn btn-info"
		ng-click="$ctrl.clearItem($ctrl.newItem)"
		ng-disabled="!$ctrl.newItem">
		Clear
		</button>
</form>